"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var humanize_duration_lang_1 = require("../humanize-duration.lang");
exports.languages = {
    cs: {
        y: function (c) { return ['rok', 'roku', 'roky', 'let'][getCzechForm(c)]; },
        mo: function (c) { return ['měsíc', 'měsíce', 'měsíce', 'měsíců'][getCzechForm(c)]; },
        w: function (c) { return ['týden', 'týdne', 'týdny', 'týdnů'][getCzechForm(c)]; },
        d: function (c) { return ['den', 'dne', 'dny', 'dní'][getCzechForm(c)]; },
        h: function (c) { return ['hodina', 'hodiny', 'hodiny', 'hodin'][getCzechForm(c)]; },
        m: function (c) { return ['minuta', 'minuty', 'minuty', 'minut'][getCzechForm(c)]; },
        s: function (c) { return ['sekunda', 'sekundy', 'sekundy', 'sekund'][getCzechForm(c)]; },
        ms: function (c) { return ['milisekunda', 'milisekundy', 'milisekundy', 'milisekund'][getCzechForm(c)]; },
        decimal: ','
    }
};
// Internal helper function for Czech language.
function getCzechForm(c) {
    if (c === 1) {
        return 0;
    }
    else if (Math.floor(c) !== c) {
        return 1;
    }
    else if (c % 10 >= 2 && c % 10 <= 4 && c % 100 < 10) {
        return 2;
    }
    else {
        return 3;
    }
}
humanize_duration_lang_1.LANGUAGES.addLanguage('cs', exports.languages['cs']);
