"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var humanize_duration_lang_1 = require("../humanize-duration.lang");
exports.languages = {
    lt: {
        y: function (c) { return ((c % 10 === 0) || (c % 100 >= 10 && c % 100 <= 20)) ? 'metų' : 'metai'; },
        mo: function (c) { return ['mėnuo', 'mėnesiai', 'mėnesių'][getLithuanianForm(c)]; },
        w: function (c) { return ['savaitė', 'savaitės', 'savaičių'][getLithuanianForm(c)]; },
        d: function (c) { return ['diena', 'dienos', 'dienų'][getLithuanianForm(c)]; },
        h: function (c) { return ['valanda', 'valandos', 'valandų'][getLithuanianForm(c)]; },
        m: function (c) { return ['minutė', 'minutės', 'minučių'][getLithuanianForm(c)]; },
        s: function (c) { return ['sekundė', 'sekundės', 'sekundžių'][getLithuanianForm(c)]; },
        ms: function (c) { return ['milisekundė', 'milisekundės', 'milisekundžių'][getLithuanianForm(c)]; },
        decimal: ','
    }
};
// Internal helper function for Lithuanian language.
function getLithuanianForm(c) {
    if (c === 1 || (c % 10 === 1 && c % 100 > 20)) {
        return 0;
    }
    else if (Math.floor(c) !== c || (c % 10 >= 2 && c % 100 > 20) || (c % 10 >= 2 && c % 100 < 10)) {
        return 1;
    }
    else {
        return 2;
    }
}
humanize_duration_lang_1.LANGUAGES.addLanguage('lt', exports.languages['lt']);
