"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var humanize_duration_lang_1 = require("../humanize-duration.lang");
exports.languages = {
    pl: {
        y: function (c) { return ['rok', 'roku', 'lata', 'lat'][getPolishForm(c)]; },
        mo: function (c) { return ['miesiąc', 'miesiąca', 'miesiące', 'miesięcy'][getPolishForm(c)]; },
        w: function (c) { return ['tydzień', 'tygodnia', 'tygodnie', 'tygodni'][getPolishForm(c)]; },
        d: function (c) { return ['dzień', 'dnia', 'dni', 'dni'][getPolishForm(c)]; },
        h: function (c) { return ['godzina', 'godziny', 'godziny', 'godzin'][getPolishForm(c)]; },
        m: function (c) { return ['minuta', 'minuty', 'minuty', 'minut'][getPolishForm(c)]; },
        s: function (c) { return ['sekunda', 'sekundy', 'sekundy', 'sekund'][getPolishForm(c)]; },
        ms: function (c) { return ['milisekunda', 'milisekundy', 'milisekundy', 'milisekund'][getPolishForm(c)]; },
        decimal: ','
    }
};
// Internal helper function for Polish language.
function getPolishForm(c) {
    if (c === 1) {
        return 0;
    }
    else if (Math.floor(c) !== c) {
        return 1;
    }
    else if (c % 10 >= 2 && c % 10 <= 4 && !(c % 100 > 10 && c % 100 < 20)) {
        return 2;
    }
    else {
        return 3;
    }
}
humanize_duration_lang_1.LANGUAGES.addLanguage('pl', exports.languages['pl']);
