"use strict";
var _this = this;
Object.defineProperty(exports, "__esModule", { value: true });
var humanize_duration_lang_1 = require("../humanize-duration.lang");
exports.languages = {
    ru: {
        y: function (c) { return ['лет', 'год', 'года'][_this.getSlavicForm(c)]; },
        mo: function (c) { return ['месяцев', 'месяц', 'месяца'][_this.getSlavicForm(c)]; },
        w: function (c) { return ['недель', 'неделя', 'недели'][_this.getSlavicForm(c)]; },
        d: function (c) { return ['дней', 'день', 'дня'][_this.getSlavicForm(c)]; },
        h: function (c) { return ['часов', 'час', 'часа'][_this.getSlavicForm(c)]; },
        m: function (c) { return ['минут', 'минута', 'минуты'][_this.getSlavicForm(c)]; },
        s: function (c) { return ['секунд', 'секунда', 'секунды'][_this.getSlavicForm(c)]; },
        ms: function (c) { return ['миллисекунд', 'миллисекунда', 'миллисекунды'][_this.getSlavicForm(c)]; },
        decimal: ','
    }
};
// Internal helper function for Russian and Ukranian languages.
function getSlavicForm(c) {
    if (Math.floor(c) !== c) {
        return 2;
    }
    else if ((c >= 5 && c <= 20) || (c % 10 >= 5 && c % 10 <= 9) || c % 10 === 0) {
        return 0;
    }
    else if (c % 10 === 1) {
        return 1;
    }
    else if (c > 1) {
        return 2;
    }
    else {
        return 0;
    }
}
humanize_duration_lang_1.LANGUAGES.addLanguage('ru', exports.languages['ru']);
