"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var humanize_duration_lang_1 = require("../humanize-duration.lang");
exports.languages = {
    uk: {
        y: function (c) { return ['років', 'рік', 'роки'][getSlavicForm(c)]; },
        mo: function (c) { return ['місяців', 'місяць', 'місяці'][getSlavicForm(c)]; },
        w: function (c) { return ['неділь', 'неділя', 'неділі'][getSlavicForm(c)]; },
        d: function (c) { return ['днів', 'день', 'дні'][getSlavicForm(c)]; },
        h: function (c) { return ['годин', 'година', 'години'][getSlavicForm(c)]; },
        m: function (c) { return ['хвилин', 'хвилина', 'хвилини'][getSlavicForm(c)]; },
        s: function (c) { return ['секунд', 'секунда', 'секунди'][getSlavicForm(c)]; },
        ms: function (c) { return ['мілісекунд', 'мілісекунда', 'мілісекунди'][getSlavicForm(c)]; },
        decimal: ','
    }
};
// Internal helper function for Russian and Ukranian languages.
function getSlavicForm(c) {
    if (Math.floor(c) !== c) {
        return 2;
    }
    else if ((c >= 5 && c <= 20) || (c % 10 >= 5 && c % 10 <= 9) || c % 10 === 0) {
        return 0;
    }
    else if (c % 10 === 1) {
        return 1;
    }
    else if (c > 1) {
        return 2;
    }
    else {
        return 0;
    }
}
humanize_duration_lang_1.LANGUAGES.addLanguage('uk', exports.languages['uk']);
